Overview | Package | Class | Tree | Deprecated | Index | Help
| Oracle Application Development Framework Model and Business Components Java API Reference 10g Release 3 (10.1.3) B16005-01
PREV CLASS NEXT CLASS | FRAMES NO FRAMES
SUMMARY: NESTED | FIELD | CONSTR | METHOD | DETAIL: FIELD | CONSTR | METHOD

## oracle.jdeveloper.html
Class DHTMLTabControl

`java.lang.Object
oracle.jdeveloper.html.HTMLElement
oracle.jdeveloper.html.DHTMLElement
oracle.jdeveloper.html.DHTMLElementContainer
oracle.jdeveloper.html.HTMLScript
oracle.jdeveloper.html.DHTMLTabControl`

Direct Known Subclasses:
  JSTabContainer

public class DHTMLTabControl
extends HTMLScript

Version:
  PUBLIC

Field Summary
`protected java.lang.String` | `helpText`
`protected int` | `initialTab`
`protected java.lang.String` | `name`
`protected java.util.Vector` | `tabs`
`protected java.lang.String` | `title`

Fields inherited from class oracle.jdeveloper.html.HTMLScript
`version`

Fields inherited from class oracle.jdeveloper.html.DHTMLElementContainer
`Elements`

Fields inherited from class oracle.jdeveloper.html.HTMLElement
`sClassName`

Constructor Summary
`DHTMLTabControl()`
`DHTMLTabControl(java.lang.String name)`

Method Summary
`void` | `addTab(DHTMLTab tab)`
`void` | `addTab(java.lang.String name, java.lang.String text, java.lang.String hint, java.lang.String disabledHint, java.lang.String url, boolean enabled, boolean visible, boolean alwaysActive, java.lang.String iconObj)`
`java.lang.String` | `getHelpText()`
`int` | `getInitialTab()`
`java.lang.String` | `getName()`
`java.lang.String` | `getTitle()`
`protected void` | `renderContainerHeader(java.io.PrintWriter out)`
`void` | `setHelpText(java.lang.String helpText)`
`void` | `setInitialTab(int initialTab)`
`void` | `setName(java.lang.String name)`
`void` | `setTitle(java.lang.String title)`

Methods inherited from class oracle.jdeveloper.html.HTMLScript
`addFunction, renderContainerFooter, setVersion`

Methods inherited from class oracle.jdeveloper.html.DHTMLElementContainer
`addElement, addElement, elementAt, indexOf, numberOfElements, removeElement, removeElement, removeElementAt, render, renderElementFooter, renderElementHeader`

Methods inherited from class oracle.jdeveloper.html.DHTMLElement
`CheckValidName, filterDataChar`

Methods inherited from class oracle.jdeveloper.html.HTMLElement
`fixFieldValueForHTML, getAsString, getCSSClassName, quote, render, setCSSClassName`

Methods inherited from class java.lang.Object
`clone, equals, finalize, getClass, hashCode, notify, notifyAll, toString, wait, wait, wait`

Field Detail

### name

    protected java.lang.String name

### title

    protected java.lang.String title

### helpText

    protected java.lang.String helpText

### initialTab

    protected int initialTab

### tabs

    protected java.util.Vector tabs

Constructor Detail

### DHTMLTabControl

    public DHTMLTabControl()

### DHTMLTabControl

    public DHTMLTabControl(java.lang.String name)

Method Detail

### setName

    public void setName(java.lang.String name)

### getName

    public java.lang.String getName()

### setTitle

    public void setTitle(java.lang.String title)

### getTitle

    public java.lang.String getTitle()

### setHelpText

    public void setHelpText(java.lang.String helpText)

### getHelpText

    public java.lang.String getHelpText()

### setInitialTab

    public void setInitialTab(int initialTab)

### getInitialTab

    public int getInitialTab()

### addTab

    public void addTab(DHTMLTab tab)

### addTab

    public void addTab(java.lang.String name,
                       java.lang.String text,
                       java.lang.String hint,
                       java.lang.String disabledHint,
                       java.lang.String url,
                       boolean enabled,
                       boolean visible,
                       boolean alwaysActive,
                       java.lang.String iconObj)

### renderContainerHeader

    protected void renderContainerHeader(java.io.PrintWriter out)

  Overrides:
    `renderContainerHeader` in class `HTMLScript`

Overview | Package | Class | Tree | Deprecated | Index | Help
| Oracle Application Development Framework Model and Business Components Java API Reference 10g Release 3 (10.1.3) B16005-01
PREV CLASS NEXT CLASS | FRAMES NO FRAMES
SUMMARY: NESTED | FIELD | CONSTR | METHOD | DETAIL: FIELD | CONSTR | METHOD

Copyright © 1997, 2005, Oracle. All rights reserved.